org.apache.solr.logging.jul

## Class JulWatcher

- java.lang.Object
- - org.apache.solr.logging.LogWatcher<LogRecord>
  - - org.apache.solr.logging.jul.JulWatcher

-     public class JulWatcher
      extends LogWatcher<LogRecord>

- - ### Field Summary

    - ### Fields inherited from class org.apache.solr.logging.LogWatcher

      `history, last`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JulWatcher(String name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<String>` | `getAllLevels()`
    `Collection<LoggerInfo>` | `getAllLoggers()`
    `String` | `getName()`
    `String` | `getThreshold()`
    `long` | `getTimestamp(LogRecord event)`
    `void` | `registerListener(ListenerConfig cfg)`
    `void` | `setLogLevel(String category, String level)` Sets the log level within this framework
    `void` | `setThreshold(String level)`
    `SolrDocument` | `toSolrDocument(LogRecord event)`

    - ### Methods inherited from class org.apache.solr.logging.LogWatcher

      `add, getHistory, getHistorySize, getLastEvent, newRegisteredLogWatcher, reset`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JulWatcher

          public JulWatcher(String name)

  - ### Method Detail

    - #### getName

          public String getName()

      Specified by:
        `getName` in class `LogWatcher<LogRecord>`
      Returns:
        The implementation name

    - #### getAllLevels

          public List<String> getAllLevels()

      Specified by:
        `getAllLevels` in class `LogWatcher<LogRecord>`
      Returns:
        The valid level names for this framework

    - #### setLogLevel

          public void setLogLevel(String category,
                                  String level)

      Description copied from class: `LogWatcher`
      Sets the log level within this framework
      Specified by:
        `setLogLevel` in class `LogWatcher<LogRecord>`

    - #### getAllLoggers

          public Collection<LoggerInfo> getAllLoggers()

      Specified by:
        `getAllLoggers` in class `LogWatcher<LogRecord>`
      Returns:
        all registered loggers

    - #### setThreshold

          public void setThreshold(String level)

      Specified by:
        `setThreshold` in class `LogWatcher<LogRecord>`

    - #### getThreshold

          public String getThreshold()

      Specified by:
        `getThreshold` in class `LogWatcher<LogRecord>`

    - #### registerListener

          public void registerListener(ListenerConfig cfg)

      Specified by:
        `registerListener` in class `LogWatcher<LogRecord>`

    - #### getTimestamp

          public long getTimestamp(LogRecord event)

      Specified by:
        `getTimestamp` in class `LogWatcher<LogRecord>`

    - #### toSolrDocument

          public SolrDocument toSolrDocument(LogRecord event)

      Specified by:
        `toSolrDocument` in class `LogWatcher<LogRecord>`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.